For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign upLog in
Developer GuideCore ConceptsAPI Reference
  • API Reference
      • GETList
      • POSTCreate
      • GETGet
      • DELDelete
      • PATCHUpdate
      • GETList Landscapes
      • GETList Model Objects
LogoLogo
Sign upLog in
API ReferenceTeams

Get

GET
https://api.icepanel.io/v1/organizations/:organizationId/teams/:teamId
GET
/v1/organizations/:organizationId/teams/:teamId
1import { IcePanelClient } from "@icepanel/sdk";
2
3async function main() {
4 const client = new IcePanelClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.teams.get("organizationId", "teamId");
8}
9main();
1{
2 "team": {
3 "color": "blue",
4 "name": "string",
5 "userIds": [
6 "string"
7 ],
8 "createdAt": "2024-01-15T09:30:00Z",
9 "createdBy": "user",
10 "createdById": "string",
11 "id": "string",
12 "modelObjectHandleIds": [
13 "string"
14 ],
15 "organizationId": "string",
16 "updatedAt": "2024-01-15T09:30:00Z",
17 "updatedBy": "user",
18 "updatedById": "string"
19 }
20}
Was this page helpful?
Previous

Delete

Next
Built with

Authentication

X-API-Keystring
API key authentication
OR
AuthorizationBearer
Bearer token authentication

Path parameters

organizationIdstringRequired
teamIdstringRequired

Response

OK
teamobject

Errors

401
Unauthorized Error
404
Not Found Error
500
Internal Server Error